<?
if(isset($_GET['convert']) && $_GET['convert']=='ok' && isset($_POST['ok']) && isset($_POST['count']) && $_POST['count']!=NULL && $_POST['count']!=0 && is_numeric($_POST['count']))
{
$rubies=intval($_POST['count']);
if($user['balls']>=$rubies)
{
$rubies_payment_act=0;
$rubies_fb_act=0;
if(isset($payment_act))$rubies_payment_act=floor(($rubies/100)*$payment_ps);

if($ku['flowerbed']==11)$rubies_fb_act=floor(($rubies/100)*25);
elseif($ku['flowerbed']==12)$rubies_fb_act=floor(($rubies/100)*50);

$rubies2=$rubies+$rubies_payment_act+$rubies_fb_act;
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$rubies2)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$rubies)."' WHERE `id` = '$user[id]'");
echo "<div style='background-color:#114411;padding:4px;border:1px solid #CCCC00'><img width='16' height='16' src='images/icons/ruby.png' alt='o'> Обмен успешно завершен</div>";
}
else echo "<div style='background-color:#114411;padding:4px;border:1px solid red'>Не хватает баллов!</div>";
}
echo "<div class='event'><h1>Покупка рубинов</h1></div>";
echo "<div class='content'>";
echo "<div class='block'>";

echo "<span>Покупка рубинов <img width='16' height='16' src='images/icons/ruby.png' alt='o'>  проводится через кабинет <a href='http://immob.ru/'>immob.ru</a> Обязательно там зарегистрируйтесь! Цена за 1 рубин 5 копеек.";

echo "</div>";
include_once 'inc/foot.php';
?>